:root {
  --bg-color: #fff;
  --primary-bg-color: #f0eded;
  --secondary-bg-color: #000000;
  --primary-color: #ce0000;
  --secondary-color: #ffffff;
  --disabled-color: rgba(0, 0, 0, 0.4);
  --primary-disabled-color: rgba(206, 0, 0, 0.4);
  --placeholder-color: rgba(0, 0, 0, 0.56);

  --body: "Montserrat", sans-serif;
  --title: "Exo 2", sans-serif;
}

* {
  margin: 0;
  padding: 0;
  font-size: 16px;
  box-sizing: border-box;
  font-family: var(--body);
}

body {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 32px;
  padding: 16px;
  background-color: var(--primary-color);
}

main.card {
  width: 100%;
  max-width: 537px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 40px;
  padding: 56px;
  background-color: var(--primary-bg-color);
  border-radius: 24px;
}

.header-group {
  display: flex;
  flex-direction: column;
  gap: 12px;
  text-align: center;
}

.header-group h1 {
  font-family: var(--title);
  font-weight: 600;
  font-size: 1.5rem;
  line-height: 24px;
}

.header-group p {
  line-height: 20px;
}

.text-bold {
  font-weight: 700;
}

.form-group {
  width: 100%;
  max-width: 425px;
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.input-group {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.input-group label {
  font-weight: 600;
  font-size: 0.875rem;
  line-height: 18px;
  padding: 0 20px;
}

.input-group input {
  height: 54px;
  padding: 0 20px;
  background-color: var(--bg-color);
  border: 1px solid var(--disabled-color);
  border-radius: 40px;
}

.input-group input::placeholder {
  color: var(--placeholder-color);
}

.input-group input:focus,
.input-group input:not(:placeholder-shown) {
  outline: none;
  border-color: var(--secondary-bg-color);
}

.cta {
  height: 54px;
  background-color: var(--primary-color);
  color: var(--secondary-color);
  font-size: 1.125rem;
  font-weight: 500;
  border: none;
  border-radius: 40px;
  cursor: pointer;
}

.cta:disabled {
  background-color: var(--primary-disabled-color);
  cursor: default;
}

.contact-link {
  font-weight: 500;
  line-height: 22px;
  text-align: center;
  color: var(--secondary-color);
}

.contact-link a {
  color: var(--secondary-color);
  text-decoration: none;
}

@media (max-width: 767px) {
  main.card {
    flex: 1;
    justify-content: center;
    padding: 56px 16px;
  }

  .contact-link {
    font-size: 0.875rem;
  }
}
